RagTimeParserInternal::Pattern Struct Referencefinal

Internal: the pattern of a RagTimeManager. More...

Inheritance diagram for RagTimeParserInternal::Pattern:

## Public Member Functions

| Pattern (uint16_t const *pat=nullptr)
| constructor ( 4 int by patterns )
| Pattern (Pattern const &)=default
Pattern & | operator= (Pattern const &)=default
Pattern & | operator= (Pattern &&)=default
| ~Pattern () final
| destructor
Public Member Functions inherited from MWAWGraphicStyle::Pattern
| Pattern ()
| constructor
| Pattern (MWAWVec2i dim, MWAWEmbeddedObject const &picture, MWAWColor const &avColor)
| constructor from a binary data
| Pattern (Pattern const &)=default
Pattern & | operator= (Pattern const &)=default
Pattern & | operator= (Pattern &&)=default
bool | empty () const
| return true if we does not have a pattern
bool | getAverageColor (MWAWColor &col) const
| return the average color
bool | getUniqueColor (MWAWColor &col) const
| check if the pattern has only one color; if so returns true...
bool | getBinary (MWAWEmbeddedObject &picture) const
| tries to convert the picture in a binary data ( ppm)
int | cmp (Pattern const &a) const
| compare two patterns

## Public Attributes

float | m_percent
| the percentage
Public Attributes inherited from MWAWGraphicStyle::Pattern
MWAWVec2i | m_dim
| the dimension width x height
MWAWColor | m_colors [2]
| the two indexed colors
std::vector< unsigned char > | m_data
| the pattern data: a sequence of data: p[0..7,0],p[8..15,0]...p[0..7,1],p[8..15,1], ...

## Additional Inherited Members

Protected Attributes inherited from MWAWGraphicStyle::Pattern
MWAWEmbeddedObject | m_picture
| a picture
MWAWColor | m_pictureAverageColor
| the picture average color

## Detailed Description

Internal: the pattern of a RagTimeManager.

## Constructor & Destructor Documentation

## Pattern() [1/2]

RagTimeParserInternal::Pattern::Pattern | ( | uint16_t const * | pat = nullptr | ) |

inline explicit

constructor ( 4 int by patterns )

Referenced by operator=(), operator=(), Pattern(), Pattern(), and ~Pattern().

## Pattern() [2/2]

RagTimeParserInternal::Pattern::Pattern | ( | Pattern const & |  | ) |

default

## ~Pattern()

RagTimeParserInternal::Pattern::~Pattern | ( |  | ) |

final virtual

destructor

Reimplemented from MWAWGraphicStyle::Pattern.

## Member Function Documentation

## operator=() [1/2]

Pattern & RagTimeParserInternal::Pattern::operator= | ( | Pattern && |  | ) |

default

## operator=() [2/2]

Pattern & RagTimeParserInternal::Pattern::operator= | ( | Pattern const & |  | ) |

default

## Member Data Documentation

## m_percent

float RagTimeParserInternal::Pattern::m_percent

the percentage

Referenced by Pattern().

The documentation for this struct was generated from the following file:

- RagTimeParser.cxx